VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IUnitData Class Referenceabstract
VST 3 Interfaces to be implemented by the Plug-in | VST 3 Interfaces defined in version 3.0.0

Component extension to access unit data. More...

`#include <ivstunits.h>`

Inheritance diagram for IUnitData:

## Public Member Functions
virtual tresult | unitDataSupported (UnitID unitID)=0
| Returns kResultTrue if the specified unit supports export and import of preset data. More...
virtual tresult | getUnitData (UnitID unitId, IBStream *data)=0
| Gets the preset data for the specified unit. More...
virtual tresult | setUnitData (UnitID unitId, IBStream *data)=0
| Sets the preset data for the specified unit. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Component extension to access unit data.

- [plug imp]
- [extends IComponent]
- [released: 3.0.0]

A component can either support unit preset data via this interface or program list data (IProgramListData), but not both!

See also
  vst3UnitPrograms

## Member Function Documentation

virtual tresult unitDataSupported | ( | UnitID | unitID | ) |
| pure virtual

Returns kResultTrue if the specified unit supports export and import of preset data.

virtual tresult getUnitData | ( | UnitID | unitId,
|  | IBStream * | data
| ) |  |
| pure virtual

Gets the preset data for the specified unit.

virtual tresult setUnitData | ( | UnitID | unitId,
|  | IBStream * | data
| ) |  |
| pure virtual

Sets the preset data for the specified unit.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.